<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>com.sk89q.worldedit.function Class Hierarchy (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.worldedit.function Class Hierarchy (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/extent/world/package-tree.html">Prev</a></li>
<li><a href="../../../../com/sk89q/worldedit/function/biome/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/function/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package com.sk89q.worldedit.function</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/CombinedRegionFunction.html" title="class in com.sk89q.worldedit.function"><span class="typeNameLink">CombinedRegionFunction</span></a> (implements com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a>)</li>
<li type="circle">com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/EditContext.html" title="class in com.sk89q.worldedit.function"><span class="typeNameLink">EditContext</span></a></li>
<li type="circle">com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/FlatRegionMaskingFilter.html" title="class in com.sk89q.worldedit.function"><span class="typeNameLink">FlatRegionMaskingFilter</span></a> (implements com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/FlatRegionFunction.html" title="interface in com.sk89q.worldedit.function">FlatRegionFunction</a>)</li>
<li type="circle">com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/GroundFunction.html" title="class in com.sk89q.worldedit.function"><span class="typeNameLink">GroundFunction</span></a> (implements com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/LayerFunction.html" title="interface in com.sk89q.worldedit.function">LayerFunction</a>)</li>
<li type="circle">com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/ItemUseFunction.html" title="class in com.sk89q.worldedit.function"><span class="typeNameLink">ItemUseFunction</span></a> (implements com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a>)</li>
<li type="circle">com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/RegionMaskingFilter.html" title="class in com.sk89q.worldedit.function"><span class="typeNameLink">RegionMaskingFilter</span></a> (implements com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a>)</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/Contextual.html" title="interface in com.sk89q.worldedit.function"><span class="typeNameLink">Contextual</span></a>&lt;T&gt;</li>
<li type="circle">com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/EntityFunction.html" title="interface in com.sk89q.worldedit.function"><span class="typeNameLink">EntityFunction</span></a></li>
<li type="circle">com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/FlatRegionFunction.html" title="interface in com.sk89q.worldedit.function"><span class="typeNameLink">FlatRegionFunction</span></a></li>
<li type="circle">com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/LayerFunction.html" title="interface in com.sk89q.worldedit.function"><span class="typeNameLink">LayerFunction</span></a></li>
<li type="circle">com.sk89q.worldedit.function.<a href="../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function"><span class="typeNameLink">RegionFunction</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/extent/world/package-tree.html">Prev</a></li>
<li><a href="../../../../com/sk89q/worldedit/function/biome/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/function/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
